import "./index.scss";
import BaseLayoutGenerateItem from "../../layout/base-layout-generate-item";
import { LocationItemModel } from "../../../models/form";
export default class LocationGenerateItem extends BaseLayoutGenerateItem {
    data: LocationItemModel;
    map: any;
    geocoder: any;
    marker: any;
    latitude: any;
    longitude: any;
    gps: any;
    mounted(): void;
    init(): void;
    getLocation(): void;
    cancelLocation(): void;
    convertFrom(position: any): void;
    getPosition(lnglats: any): void;
    showError(error: any): void;
}
